package com.jeesharp.business.modules.mall.service;

import com.jeesharp.business.modules.mall.entity.MallBrowseFootprint;
import com.jeesharp.business.modules.mall.vo.MallBrowseFootprintQueryVO;
import com.jeesharp.framework.pojo.Page;
import com.jeesharp.framework.pojo.query.PageRespVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

public interface MallBrowseFootprintService extends BaseInterface<MallBrowseFootprint, MallBrowseFootprintQueryVO> {

    void createFootprint(MallBrowseFootprint entity);

    void updateFootprint(MallBrowseFootprint entity);
void recordBrowseFootprint(String memberId, String spuId);

    PageRespVO<MallBrowseFootprint> getUserBrowseFootprints(String memberId, Page<MallBrowseFootprint> page);

    void clearUserBrowseFootprints(String memberId);

    void deleteFootprint(String memberId, String spuId);
}
